#!/bin/bash
#
# Simple script to remove MSS document preview HTML files.
# Run as cronjob, from cron.d practically.
# Usage: $0 MSS_name
# Part of mss-manager package

APACHEADMIN="webadmin"          # Linux user for web administration
APACHEDOCROOT="/var/www"        # Public web documentroot
EXIT_ERR="1"                    # Exit code on error
EXIT_SUCC="0"                   # Exit code on success
FIND="/usr/bin/find"		# find command call
OLDTIME=1440			# Last access minutes ago to declare as old file
RM="/bin/rm"			# rm command call
TEMPFILEMASK="temp_*_temp.html"	# Temporary file name template

# Messages

MSG_DELETED="Deleted:"
MSG_MISSING="Missing file or directory: "
MSG_USAGE="Usage: $0 MSS_name\n\n"

# Get command-line parameters
# MSS name is mandatory and validated
                                                                                                                        
MSSNAME=$1; shift
if [ -z "$MSSNAME" ]; then echo -ne "$MSG_USAGE" >&2; exit $EXIT_ERR; fi
if [ ! -d $APACHEDOCROOT/$MSSNAME ]; then echo -ne "$MSG_MISSING$APACHEDOCROOT/$MSSNAME\n" >&2; exit $EXIT_ERR; fi

# Find and delete any old tempfile

$FIND $APACHEDOCROOT/$MSSNAME -name "$TEMPFILEMASK" -type f -cmin +$OLDTIME -user $APACHEADMIN \
      -printf "$MSG_DELETED %c %P\n" -exec $RM -f {} \; 

# Finished
